Subject: RE: socket termination problem

From: "Nicolas Pauli" <[email-masked]>
Date: Fri, 8 Jan 1999 14:02:37 +0100

Dear all,

Let me explain my situation: I have 3 tasks running. First on the server's
side: the first one accepts connections, the second one only reads data on
the socket and then close the connection. On the client's side: I open
connections, send data, the close the socket.

My problem is that sockets do not close themselves correctly: the close on
the client's side is properly done, i.e. client socket goes to FIN_WAIT2
state and server socket goes to CLOSED_WAIT state. But when I close the
socket on the server's side, nothing seems to change. Sockets stay in the
previous states.

I have checked that the close on the server is done everytime.

Does anybody have an idea?

Thanks in advance.
Nico

PS: this happens on a DEC Unix 4.2, with DEC C++ compiler.